Bug 22898 - Selenium tests for placing holds from the staff interface
Summary: Selenium tests for placing holds from the staff interface
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: RM_priority
Depends on:
Blocks: 19384
  Show dependency treegraph
 
Reported: 2019-05-13 16:30 UTC by Jonathan Druart
Modified: 2020-02-14 12:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 22898: Add selenium tests placing holds (staff) (3.82 KB, patch)
2019-05-13 16:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Add selenium tests placing holds (staff) (3.87 KB, patch)
2019-05-31 00:40 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 22898: [v18.11.05] Add selenium tests placing holds (staff) (4.30 KB, patch)
2019-05-31 17:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Since bug 23957, submit element is now a button (no longer input) (1.57 KB, patch)
2020-01-21 11:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Fix failure since bug 19618 (1.67 KB, patch)
2020-01-21 11:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Add selenium tests placing holds (staff) (3.67 KB, patch)
2020-02-13 16:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Since bug 23957, submit element is now a button (no longer input) (1.57 KB, patch)
2020-02-13 16:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Fix failure since bug 19618 (1.67 KB, patch)
2020-02-13 16:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22898: Add selenium tests placing holds (staff) (3.73 KB, patch)
2020-02-13 17:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22898: Since bug 23957, submit element is now a button (no longer input) (1.63 KB, patch)
2020-02-13 17:03 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22898: Fix failure since bug 19618 (1.73 KB, patch)
2020-02-13 17:03 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-05-13 16:30:09 UTC
Because of bug 22895 we now need those tests ASAP.
Comment 1 Jonathan Druart 2019-05-13 16:33:44 UTC
Created attachment 89673 [details] [review]
Bug 22898: Add selenium tests placing holds (staff)

Quick selenium tests to prevent regressions like bug 22895.

Test plan:
Make sure the selenium tests return green

You can also test the buggy branch:
% git checkout v18.11.05
% prove t/db_dependent/selenium/basic_workflow.t
=> Failure
% git bz apply 22895.
% prove t/db_dependent/selenium/basic_workflow.t
=> Success
Comment 2 Victor Grousset/tuxayo 2019-05-31 00:40:04 UTC
Created attachment 90208 [details] [review]
Bug 22898: Add selenium tests placing holds (staff)

Quick selenium tests to prevent regressions like bug 22895.

Test plan:
Make sure the selenium tests return green

You can also test the buggy branch:
% git checkout v18.11.05
% prove t/db_dependent/selenium/basic_workflow.t
=> Failure
% git bz apply 22895.
% prove t/db_dependent/selenium/basic_workflow.t
=> Success

Signed-off-by: Victor Grousset <victor.grousset@biblibre.com>
Comment 3 Victor Grousset/tuxayo 2019-05-31 00:41:29 UTC
> You can also test the buggy branch:

Applying this patch on v18.11.05 conflicts.
I think I might be able to backport it, is it worth it?
Comment 4 Victor Grousset/tuxayo 2019-05-31 01:38:17 UTC
this patch: 22898, the new tests
Comment 5 Jonathan Druart 2019-05-31 17:23:44 UTC
Created attachment 90241 [details] [review]
Bug 22898: [v18.11.05] Add selenium tests placing holds (staff)

Quick selenium tests to prevent regressions like bug 22895.

Test plan:
Make sure the selenium tests return green

You can also test the buggy branch:
% git checkout v18.11.05
% prove t/db_dependent/selenium/basic_workflow.t
=> Failure
% git bz apply 22895.
% prove t/db_dependent/selenium/basic_workflow.t
=> Success
Comment 6 Jonathan Druart 2019-05-31 17:24:29 UTC
New patch for 18.11.05, unfortunately I was not able to test it (firefox-esr version mismatch in kohadevbox)
Comment 7 Jonathan Druart 2019-05-31 17:24:58 UTC
(In reply to Victor Grousset/tuxayo from comment #3)
> > You can also test the buggy branch:
> 
> Applying this patch on v18.11.05 conflicts.
> I think I might be able to backport it, is it worth it?

Always good to have more tests :)
Comment 8 Martin Renvoize 2019-06-26 13:08:12 UTC
I've got a little lost.. what's the state of these.. do they need testing independently on both 18.11.x and master at this point?
Comment 9 Jonathan Druart 2019-06-26 13:25:01 UTC
(In reply to Martin Renvoize from comment #8)
> I've got a little lost.. what's the state of these.. do they need testing
> independently on both 18.11.x and master at this point?

18.05.x patch was to recreate the failure, see test plan.
Comment 10 Martin Renvoize 2020-01-14 16:13:56 UTC
This needs updating for current master.. the tests currently fail.
Comment 11 Jonathan Druart 2020-01-21 11:58:37 UTC
Created attachment 97655 [details] [review]
Bug 22898: Since bug 23957, submit element is now a button (no longer input)
Comment 12 Jonathan Druart 2020-01-21 11:58:41 UTC
Created attachment 97656 [details] [review]
Bug 22898: Fix failure since bug 19618

See comment in the code, this is not the correct fix, but cannot find
something better for now.
Comment 13 Martin Renvoize 2020-02-13 16:22:36 UTC
Needs a rebase for the circ rules work.
Comment 14 Jonathan Druart 2020-02-13 16:29:44 UTC
Created attachment 98877 [details] [review]
Bug 22898: Add selenium tests placing holds (staff)

Quick selenium tests to prevent regressions like bug 22895.

Test plan:
Make sure the selenium tests return green

You can also test the buggy branch:
% git checkout v18.11.05
% prove t/db_dependent/selenium/basic_workflow.t
=> Failure
% git bz apply 22895.
% prove t/db_dependent/selenium/basic_workflow.t
=> Success

Signed-off-by: Victor Grousset <victor.grousset@biblibre.com>
Comment 15 Jonathan Druart 2020-02-13 16:29:48 UTC
Created attachment 98878 [details] [review]
Bug 22898: Since bug 23957, submit element is now a button (no longer input)
Comment 16 Jonathan Druart 2020-02-13 16:29:51 UTC
Created attachment 98879 [details] [review]
Bug 22898: Fix failure since bug 19618

See comment in the code, this is not the correct fix, but cannot find
something better for now.
Comment 17 Jonathan Druart 2020-02-13 16:30:18 UTC
I skip the 18.11 patch.

New test plan:
Make sure the tests pass.
Comment 18 Martin Renvoize 2020-02-13 17:03:11 UTC
Created attachment 98880 [details] [review]
Bug 22898: Add selenium tests placing holds (staff)

Quick selenium tests to prevent regressions like bug 22895.

Test plan:
Make sure the selenium tests return green

You can also test the buggy branch:
% git checkout v18.11.05
% prove t/db_dependent/selenium/basic_workflow.t
=> Failure
% git bz apply 22895.
% prove t/db_dependent/selenium/basic_workflow.t
=> Success

Signed-off-by: Victor Grousset <victor.grousset@biblibre.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 19 Martin Renvoize 2020-02-13 17:03:14 UTC
Created attachment 98881 [details] [review]
Bug 22898: Since bug 23957, submit element is now a button (no longer input)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 20 Martin Renvoize 2020-02-13 17:03:17 UTC
Created attachment 98882 [details] [review]
Bug 22898: Fix failure since bug 19618

See comment in the code, this is not the correct fix, but cannot find
something better for now.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 21 Martin Renvoize 2020-02-13 17:03:43 UTC
We're better off with these tests than without.. they are all currently passing and read ok.. Passing QA
Comment 22 Martin Renvoize 2020-02-14 12:02:17 UTC
Nice work everyone!

Pushed to master for 20.05